org.apache.fop.layoutmgr

## Class Adjustment

- java.lang.Object
- - org.apache.fop.layoutmgr.Adjustment

-     public final class Adjustment
      extends java.lang.Object

  See Also:
    `KnuthGlue`, "http://www.leverkruid.eu/GKPLinebreaking/elements.html"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Adjustment` | `LINE_HEIGHT_ADJUSTMENT` Adjustment class: adjustment for line height.
    `static Adjustment` | `LINE_NUMBER_ADJUSTMENT` Adjustment class: adjustment for number of lines.
    `static Adjustment` | `NO_ADJUSTMENT` Adjustment class: no adjustment.
    `static Adjustment` | `SPACE_AFTER_ADJUSTMENT` Adjustment class: adjustment for space-after.
    `static Adjustment` | `SPACE_BEFORE_ADJUSTMENT` Adjustment class: adjustment for space-before.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_ADJUSTMENT

          public static final Adjustment NO_ADJUSTMENT

      Adjustment class: no adjustment.

    - #### SPACE_BEFORE_ADJUSTMENT

          public static final Adjustment SPACE_BEFORE_ADJUSTMENT

      Adjustment class: adjustment for space-before.

    - #### SPACE_AFTER_ADJUSTMENT

          public static final Adjustment SPACE_AFTER_ADJUSTMENT

      Adjustment class: adjustment for space-after.

    - #### LINE_NUMBER_ADJUSTMENT

          public static final Adjustment LINE_NUMBER_ADJUSTMENT

      Adjustment class: adjustment for number of lines.

    - #### LINE_HEIGHT_ADJUSTMENT

          public static final Adjustment LINE_HEIGHT_ADJUSTMENT

      Adjustment class: adjustment for line height.

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.